# Personalizing Emails with Liquid

Sending personalized emails to your subscribers allows you to add a personal touch to your automated messages.&#x20;

Encharge uses Liquid, a dynamic templating language built by Shopify. Liquid allows you to insert personalization in your emails, display dynamic content, and use data from people in your account in automation flows.&#x20;

### Personalizing with people's data

To dynamically insert data into emails or flow steps, you can use the `person` object. For example, to dynamically insert the subscriber's first name in an email, you can use the following code: `{{ person.firstName }}` .

Personalization also works with custom fields. You can review all the fields in your account in [Fields Management](https://app.encharge.io/settings/person-fields?folder-item=allPersonFields). To personalize with a custom field, use the field's "API Name" from Fields Management, like so `{{person.field-api-name-here}}`.

For example, the API Name for the "Last Name" field is `lastName` and the personalization tag would be `{{person.lastName}}`.

### Accessing the current date

You can insert the current date, formatted as simplified extended [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601#Combined_date_and_time_representations) format (e.g. *2020-12-30T19:35:54.019Z* ) with the `{% now %}` Liquid tag.&#x20;

### Advanced Personalization

Encharge supports all Liquid tags and filters as described in the official [Liquid docs](https://shopify.github.io/liquid/).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.encharge.io/sending-emails/personalized-emails-with-liquid.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
